$panel_summary_height: (700px - 20px) / 3;
$panel_main_height: 700px - $panel_summary_height;

panel1,
panel2,
panel3,
panel4,
panel5,
panel6,
panel7,
panel8,
.c-panel,
.c-panel__container {
  position: relative;
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
}
.c-panel__container {
  display: flex;
  flex-flow: row wrap;
  padding: vh(10px) vw(10px);
  > div {
    flex: 1 0 auto;
  }
}
.c-panel__top {
  height: vh($panel_summary_height);
  padding-bottom: vh(10px);
  .row {
    position: relative;
    height: 100%;
    margin-left: vw(-5px);
    margin-right: vw(-5px);
    > div {
      position: relative;
      height: 100%;
      padding-left: vw(5px);
      padding-right: vw(5px);
    }
  }
}
.c-panel__bottom {
  @extend .c-panel__top;
  padding-bottom: 0;

}
.c-panel__main {
  width: vw(924px);
  height: vh($panel_main_height);
  &.c-panel__main--w-100 {
    width: 100%;
  }
  &.c-panel__main--h-100 {
    height: 100%;
  }
  .c-box.c-box--no-border {
    padding: vh(10px) vw(15px);
    &.c-box--content-top {
      .c-box__title {
        margin-top: 0;
      }
    }
  }
}
.c-panel__left {
  flex: 0 0 auto;
  width: vw(924px);
  height: vh(700px);
}
.c-panel__left-2 {
  @extend .c-panel__left;
  width: vw(1224px / 2);
}
.c-panel__left-3 {
  @extend .c-panel__left;
  width: vw(740px);
}
.c-panel__right {
  flex: 0 0 auto;
  display: flex;
  flex-flow: column nowrap;
  width: vw(300px);
  height: vh($panel_main_height);
  padding-left: vw(10px);
  .c-panel__box {
    &:last-child {
      margin-bottom: 0;
    }
  }
}
.c-panel__right-2 {
  @extend .c-panel__right;
  height: vh(700px);
}
.c-panel__right-3 {
  @extend .c-panel__right-2;
  width: vw(1224px / 2);
}
.c-panel__right-4 {
  @extend .c-panel__right-2;
  width: vw(1224px - 740px);
}
.c-panel__box {
  height: 100%;
}
.c-panel__box-2 {
  @extend .c-panel__box;
  height: vh($panel_summary_height);
  margin-bottom: vh(10px);
}

.c-panel__box-3 {
  @extend .c-panel__box-2;
  &.c-box {
    overflow: hidden;
  }
}

